<?php

namespace Magetop\Agency\Plugin\Sales\Block\Order\Info;

use Magento\Sales\Block\Order\Info\Buttons as ButtonsBlock;

class Buttons
{
    public function aroundGetReorderUrl(ButtonsBlock $subject, \Closure $proceed, $order)
    {
        return $subject->getUrl('assignproduct/order/reorder', ['order_id' => $order->getId()]);
    }
}
